part of 'generated.dart';

class DeleteFaqDataVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteFaqDataVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteFaqDataData> dataDeserializer = (dynamic json)  => DeleteFaqDataData.fromJson(jsonDecode(json));
  Serializer<DeleteFaqDataVariables> varsSerializer = (DeleteFaqDataVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteFaqDataData, DeleteFaqDataVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteFaqDataData, DeleteFaqDataVariables> ref() {
    DeleteFaqDataVariables vars= DeleteFaqDataVariables(id: id,);
    return _dataConnect.mutation("deleteFaqData", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteFaqDataFaqDataDelete {
  final String id;
  DeleteFaqDataFaqDataDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteFaqDataFaqDataDelete otherTyped = other as DeleteFaqDataFaqDataDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteFaqDataFaqDataDelete({
    required this.id,
  });
}

@immutable
class DeleteFaqDataData {
  final DeleteFaqDataFaqDataDelete? faqData_delete;
  DeleteFaqDataData.fromJson(dynamic json):
  
  faqData_delete = json['faqData_delete'] == null ? null : DeleteFaqDataFaqDataDelete.fromJson(json['faqData_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteFaqDataData otherTyped = other as DeleteFaqDataData;
    return faqData_delete == otherTyped.faqData_delete;
    
  }
  @override
  int get hashCode => faqData_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (faqData_delete != null) {
      json['faqData_delete'] = faqData_delete!.toJson();
    }
    return json;
  }

  DeleteFaqDataData({
    this.faqData_delete,
  });
}

@immutable
class DeleteFaqDataVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteFaqDataVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteFaqDataVariables otherTyped = other as DeleteFaqDataVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteFaqDataVariables({
    required this.id,
  });
}

